## fvwm-crystal 3.0.3.dfsg1

=== Makefile ===
#!/usr/bin/make -f
.PHONY: all install uninstall dist correctpermissions install-doc uninstall-doc

prefix?=/usr/local
docdir?=$(prefix)/share/doc/fvwm-crystal/
addondir?=$(prefix)/share/fvwm-crystal/addons

RELEASE=`grep Version fvwm/components/functions/About | sed -e 's/\*About: Text "\$$\[gt\.Version\]: \([0-9.]\+\)"/\1/'`

all:
	@echo "There is nothing to compile."

install: uninstall correctpermissions
	@echo Installing fvwm-crystal $(RELEASE) to $(prefix)
	mkdir -p $(prefix)/bin $(prefix)/share/fvwm-crystal/fvwm 

	install -m 755 bin/fvwm-crystal.apps bin/fvwm-crystal.wallpaper bin/fvwm-crystal $(prefix)/bin
	cp -d -r fvwm/* $(prefix)/share/fvwm-crystal/fvwm/

uninstall:
	@echo "Uninstalling previously installed fvwm-crystal"
	rm -rf $(prefix)/share/fvwm-crystal
	rm -f $(prefix)/bin/fvwm-crystal.wallpaper $(prefix)/bin/fvwm-crystal.apps $(prefix)/bin/fvwm-crystal

# This is meant for creating a distribution tarball from the repository and
# not for the use by end users
dist: correctpermissions
	mkdir -p "fvwm-crystal-$(RELEASE)"
	find -maxdepth 1 ! -name "." ! -name ".*" ! -name "_darcs" ! -name "*.html" ! -name "fvwm-crystal-$(RELEASE)" \
		-exec cp -r -d {} "fvwm-crystal-$(RELEASE)/" \;
	darcs changes > "fvwm-crystal-$(RELEASE)/ChangeLog"
	tar czf "../fvwm-crystal-$(RELEASE).tar.gz" "fvwm-crystal-$(RELEASE)"
	rm -rf "fvwm-crystal-$(RELEASE)"

# correct permissions, since darcs does not remember them
correctpermissions:
	chmod -R a+rX fvwm/*
	chmod -R a+rx bin/* fvwm/scripts/FvwmMPD/*.sh fvwm/scripts/FvwmMPD/*.py fvwm/Applications

uninstall-doc:
	-rm -rf $(docdir)
	-rm -rf $(addondir)

install-doc:
	mkdir -p $(addondir) $(docdir)
	install -m 644 addons/* $(addondir)
	install -m 644 AUTHORS COPYING NEWS ChangeLog README INSTALL $(docdir)
	install -m 644 doc/* $(docdir)
