=== debian/changelog ===
fvwm-crystal (3.0.5.dfsg-5) unstable; urgency=low

  * Update Fvwm-AcpiBatt to work with kernels without /proc/acpi. Thanks
    to Achim Gaedke. Closes: #494907.
  * Bump to Standards-Version 3.9.0.
  * Switch to 3.0 (quilt) format.
  * No need to Build-Depends on python-dev since Arch: all.

 -- Vincent Bernat <bernat@debian.org>  Sat, 17 Jul 2010 11:41:53 +0200

fvwm-crystal (3.0.5.dfsg-4) unstable; urgency=low

  * Don't use reserved keyword "with" in python scripts. Thanks to Andreas
    Moog for the patch. Closes: #526232.
  * Bump Standards-Version to 3.8.2. No changes required.

 -- Vincent Bernat <bernat@debian.org>  Sun, 05 Jul 2009 09:40:47 +0200

fvwm-crystal (3.0.5.dfsg-3) unstable; urgency=low

  * Fix Russian translation, thanks to Alexander Galanin. Closes: #506611.
  * Fix a speed issue in createmenu.py when there are too many icons in
    the system. Thanks to Petr Gajdůšek for his help! Closes: #520782.
  * Bump Standards-Version to 3.8.1.

 -- Vincent Bernat <bernat@debian.org>  Mon, 20 Apr 2009 21:20:07 +0200

fvwm-crystal (3.0.5.dfsg-2) unstable; urgency=low

  * Fix a bashism in mplayer wrapper, thanks to Raphaël Geissert
    (Closes: #489598)

 -- Vincent Bernat <bernat@debian.org>  Mon, 07 Jul 2008 08:14:39 +0200

fvwm-crystal (3.0.5.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #431368)
     + drop 02debianmenu.dpatch which has been applied upstream
     + add 02userdirectory.dpatch to keep ~/.fvwm as user directory
       instead of ~/.fvwm-crystal which is the new upstream default; add a
       note about this in README.Debian
     + add manual pages for fvwm-crystal.mplayer-wrapper and
       fvwm-crystal.infoline, two new helpers
  * Adopt/hijack fvwm-crystal (Closes: #468644). Thanks to Michael for his
    previous work
  * Acknowledge previous NMUs (Closes: #383413, #375205, #399836)
  * debian/control:
     + update Standards-Version to 3.8.0
     + do not recommend xmms and xmms related utilities any more, add
       audacious instead (Closes: #474448, #468394)
     + depends on rxvt-unicode | x-terminal-emulator instead of a lot of
       terminals (Closes: #401822)
     + add Vcs-* and Homepage fields
  * debian/rules:
     + factor manual pages creation
     + move fvwm-crystal.generate-menu to examples
     + include /usr/share/dpatch/dpatch.make
     + remove bogus manual pages whose content is already present in
       /usr/share/doc
  * Remove empty /usr/sbin directory
  * Adjust section of doc-base files
  * Rewrite fvwm-crystal.menu-methods using a Python script to speed
    things up. We avoid a lot of shell invocations and we fix most bugs
    (Closes: #374311, #429855). Some menu entries may still fail because
    we don't invoke a shell while this is most of the time useless but
    this does not report an error. Moreover, we allow creation of icons as
    non root user (Closes: #386462)
  * Add debian/watch file

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Jun 2008 21:49:06 +0200

fvwm-crystal (3.0.3.dfsg1-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Use bash instead of sh in fvwm-crystal.menu-method because of the use
    of "-r" argument not supported by dash (Closes: #375205, #399836). Of
    course, this is a quick fix.

 -- Vincent Bernat <bernat@debian.org>  Wed, 28 May 2008 09:35:04 +0200

fvwm-crystal (3.0.3.dfsg1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove mozilla, opera and acroread icons and remplace them with icons from
    kde-icons-crystalclear (Closes: 389127).
    - update debian/copyright to precis these icons origin
    - rename mozilla menu entrys
  * Remove these non-free icons set: doom doom3 firefox lxdoom mozilla-firefox
    mozilla-thunderbird quake4 realplayer thunderbird ubuntu ut2004 vmware
    skype
  * Use local charset instead of ISO-8859-1 in menus (Closes: #392824)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 24 Jan 2007 22:16:48 +0100

fvwm-crystal (3.0.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package for the last python policy (Closes: 380801, 383413).

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  3 Sep 2006 19:06:02 +0200

fvwm-crystal (3.0.3-3) unstable; urgency=low

  * Fix handling of special shell characters in commands of menu files Closes: #365414
    (Thanks to Michael Prokop for reporting and assistance in solving the issue)
  * Bump Standards-Version to 3.7.2

 -- Michael Stilkerich <ms@mike2k.de>  Thu,  4 May 2006 13:21:04 +0100

fvwm-crystal (3.0.3-2) unstable; urgency=low

  * Move debian menu out of /usr/share to /var/lib Closes: #358060
  * Replace / in menu titles with a single space. This is neceassary
    as fvwm-crystal codes the menu title in the entry's filename and
    / can therefore not be part of a crystal menu title.
  * add OutputEncoding directive to the menu-method
  * Thanks to Bill Allombert for reviewing the menu-method and pointing
    out the above issues.

 -- Michael Stilkerich <ms@mike2k.de>  Mon, 20 Mar 2006 19:27:04 -0800

fvwm-crystal (3.0.3-1) unstable; urgency=low

  * New upstream release Closes: #356483
  * Upstream installation system now useable
  * Menu method runnable as user
  * Update author's E-Mail address in docbase descriptions

 -- Michael Stilkerich <ms@mike2k.de>  Tue, 14 Feb 2006 23:15:01 -0800

fvwm-crystal (3.0-1) unstable; urgency=low

  * Initial release Closes: #351614

 -- Michael Stilkerich <ms@mike2k.de>  Sun,  5 Feb 2006 18:38:55 -0800
