=== debian/control ===
Source: fvwm-crystal
Section: x11
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 5.0.0)
Build-Depends-Indep: xsltproc, docbook-xsl, python-support (>= 0.4)
Standards-Version: 3.9.0
Vcs-Browser: http://git.debian.org/?p=collab-maint/fvwm-crystal.git
Vcs-Git: git://git.debian.org/git/collab-maint/fvwm-crystal.git
Homepage: http://fvwm-crystal.org/

Package: fvwm-crystal
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 fvwm (>= 1:2.5.13) | fvwm-gnome (>= 1:2.5.13),
 rxvt-unicode | x-terminal-emulator,
 imagemagick, trayer | stalonetray, habak | hsetroot
Recommends: rox-filer, xscreensaver,
 audacious | mpd | cdcd | quodlibet, mpc
Suggests: sudo, menu, nautilus
Provides: x-window-manager
Description: Pretty Desktop Environment based on fvwm
 FVWM-crystal creates an easy to use desktop environment
 using fvwm2 as its window manager and main core. From
 another point of view its just a very powerful fvwm
 configuration.
 .
 A file manager may be optionally used to display desktop icons,
 ROX-filer and nautilus are supported for this task. FVWM-crystal
 furthermore has UI integration for various music players, among
 them audacious and mpd.
 .
 There is also a very powerful menu system that has an extensive
 default configuration but may be customized and extended by each
 user to fit personal requirements.
