=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# macros for manpage creation from xml via xsltproc
DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc -''-nonet
MANPAGES=fvwm-crystal.1 fvwm-crystal.apps.1 fvwm-crystal.wallpaper.1 fvwm-crystal.infoline.1 fvwm-crystal.mplayer-wrapper.1

%.1: debian/%.dbk
	$(XP) $(DB2MAN) $<

build: build-stamp
build-stamp: $(MANPAGES)
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp $(MANPAGES)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	make prefix=$(CURDIR)/debian/fvwm-crystal/usr \
		addondir=$(CURDIR)/debian/fvwm-crystal/usr/share/doc/fvwm-crystal/examples \
		install install-doc
	# menu-method is installed via dh_installmenu
	install -D -m 755 debian/createmenu.py $(CURDIR)/debian/fvwm-crystal/usr/share/fvwm-crystal/debian/createmenu.py
	# adjust standard installation
	cd $(CURDIR)/debian/fvwm-crystal/usr/share/doc/fvwm-crystal && rm ChangeLog COPYING LICENSE INSTALL
	cd $(CURDIR)/debian/fvwm-crystal/usr/share/man/man1 && rm ApplicationDatabase.1 CrystalRoxHOWTO.1 FVWMCrystalFAQ.1 KeyboardBindings.1 MouseBindings.1 Tips.1
	mv $(CURDIR)/debian/fvwm-crystal/usr/share/doc/fvwm-crystal/examples/fvwm-crystal.desktop \
		$(CURDIR)/debian/fvwm-crystal/usr/share/xsessions/
	mv $(CURDIR)/debian/fvwm-crystal/usr/bin/fvwm-crystal.generate-menu \
		$(CURDIR)/debian/fvwm-crystal/usr/share/doc/fvwm-crystal/examples/.
	# UTF-8 encoded file name, dunno if it will work everywhere
	rm $(CURDIR)/debian/fvwm-crystal/usr/share/fvwm-crystal/fvwm/Applications/Multimedia/Audio/Vu-Meters/~meterbridge~Meterbridge_st*

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman $(MANPAGES)
	dh_installmenu
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary-arch:
binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
