=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg$// http://download.gna.org/fvwm-crystal/(3\.[\d\.]+)/fvwm-crystal-([\d\.]+).tar.gz
