## fvwm-crystal 3.2.7%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg$// http://sf.net/fvwm-crystal/fvwm-crystal-([\d\.]+).tar.gz
