## fvwm-crystal 3.2.7+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,50 +2,62 @@
 .PHONY: all install uninstall dist correctpermissions install-doc uninstall-doc
 
 prefix?=/usr/local
-docdir?=$(prefix)/share/doc/fvwm-crystal/
 addondir?=$(prefix)/share/fvwm-crystal/addons
 
-RELEASE=`grep Version fvwm/components/functions/About | sed -e 's/\*About: Text "\$$\[gt\.Version\]: \([0-9.]\+\)"/\1/'`
+RELEASE=`grep Version fvwm/components/functions/About | cut -d" " -f 4 | sed -e 's:"::'`
+docdir?=$(prefix)/share/doc/fvwm-crystal-$(RELEASE)
 
 all:
 	@echo "There is nothing to compile."
 
-install: uninstall correctpermissions correctpath
+install: correctpath install-doc
 	@echo Installing fvwm-crystal $(RELEASE) to $(prefix)
-	mkdir -p $(prefix)/bin $(prefix)/share/fvwm-crystal/fvwm 
+	mkdir -p $(DESTDIR)$(prefix)/bin $(DESTDIR)$(prefix)/share/fvwm-crystal/fvwm $(DESTDIR)$(prefix)/share/xsessions $(DESTDIR)/etc/X11/Sessions
 
-	install -m 755 bin/fvwm-crystal.apps bin/fvwm-crystal.wallpaper bin/fvwm-crystal bin/fvwm-crystal.generate-menu bin/fvwm-crystal.infoline bin/fvwm-crystal.mplayer-wrapper $(prefix)/bin
-	cp -d -r fvwm/* $(prefix)/share/fvwm-crystal/fvwm/
+	install -m 755 bin/fvwm-crystal.apps bin/fvwm-crystal.wallpaper bin/fvwm-crystal bin/fvwm-crystal.infoline bin/fvwm-crystal.mplayer-wrapper bin/fvwm-crystal.play-movies bin/fvwm-crystal.videomodeswitch- bin/fvwm-crystal.videomodeswitch+ $(DESTDIR)$(prefix)/bin
+	install -m 755 tmp/fvwm-crystal.generate-menu $(DESTDIR)$(prefix)/bin
+	cp -d -r fvwm/* $(DESTDIR)$(prefix)/share/fvwm-crystal/fvwm/
+	cp tmp/fvwm-crystal $(DESTDIR)/etc/X11/Sessions
+	cp shared/fvwm-crystal.desktop $(DESTDIR)$(prefix)/share/xsessions
 
-	mkdir -p $(prefix)/share/man/man1
-	cp -d -r man/* $(prefix)/share/man/man1
+	mkdir -p $(DESTDIR)$(prefix)/share/man/man1
+	cp -d -r man/* $(DESTDIR)$(prefix)/share/man/man1
+# restore the original file; needed for successive run
+	cp -f tmp/LastChoosenRecipe fvwm/preferences/LastChoosenRecipe
 
-uninstall:
+uninstall: uninstall-doc
 	@echo "Uninstalling previously installed fvwm-crystal"
-	rm -rf $(prefix)/share/fvwm-crystal
-	rm -f $(prefix)/bin/fvwm-crystal.wallpaper $(prefix)/bin/fvwm-crystal.apps $(prefix)/bin/fvwm-crystal $(prefix)/bin/fvwm-crystal.generate-menu $(prefix)/bin/fvwm-crystal.infoline $(prefix)/bin/fvwm-crystal.mplayer-wrapper
-	rm -f $(prefix)/share/man/man1/ApplicationDatabase.1 $(prefix)/share/man/man1/CrystalRoxHOWTO.1 $(prefix)/share/man/man1/FVWMCrystalFAQ.1 $(prefix)/share/man/man1/KeyboardBindings.1 $(prefix)/share/man/man1/MouseBindings.1 $(prefix)/share/man/man1/Tips.1
-
+	rm -rf $(DESTDIR)$(prefix)/share/fvwm-crystal
+	rm -f $(DESTDIR)$(prefix)/bin/fvwm-crystal.wallpaper $(DESTDIR)$(prefix)/bin/fvwm-crystal.apps $(DESTDIR)$(prefix)/bin/fvwm-crystal $(DESTDIR)$(prefix)/bin/fvwm-crystal.generate-menu $(DESTDIR)$(prefix)/bin/fvwm-crystal.infoline $(DESTDIR)$(prefix)/bin/fvwm-crystal.mplayer-wrapper $(DESTDIR)$(prefix)/bin/fvwm-crystal.play-movies $(DESTDIR)$(prefix)/bin/fvwm-crystal.videomodeswitch+ $(DESTDIR)$(prefix)/bin/fvwm-crystal.videomodeswitch-
+	rm -f $(DESTDIR)$(prefix)/share/man/man1/fvwm-crystal.1 $(DESTDIR)$(prefix)/share/man/man1/ApplicationDatabase.1 $(DESTDIR)$(prefix)/share/man/man1/CrystalRoxHOWTO.1 $(DESTDIR)$(prefix)/share/man/man1/FVWMCrystalFAQ.1 $(DESTDIR)$(prefix)/share/man/man1/KeyboardBindings.1 $(DESTDIR)$(prefix)/share/man/man1/MouseBindings.1 $(DESTDIR)$(prefix)/share/man/man1/Tips.1
+	rm -f $(DESTDIR)$(prefix)/share/xsessions/fvwm-crystal.desktop $(DESTDIR)/etc/X11/Sessions/fvwm-crystal
+	
 # This is meant for creating a distribution tarball from the repository and
 # not for the use by end users
-dist: correctpermissions
-	mkdir -p "fvwm-crystal-$(RELEASE)"
-	find -maxdepth 1 ! -name "." ! -name ".*" ! -name "_darcs" ! -name "*.html" ! -name "fvwm-crystal-$(RELEASE)" \
-		-exec cp -R -P {} "fvwm-crystal-$(RELEASE)/" \;
-	darcs changes > "fvwm-crystal-$(RELEASE)/ChangeLog"
-	tar czf "../fvwm-crystal-$(RELEASE).tar.gz" "fvwm-crystal-$(RELEASE)"
-	rm -rf "fvwm-crystal-$(RELEASE)"
+dist:
+	mkdir -p "../fvwm-crystal-$(RELEASE)"
+#	find -maxdepth 1 ! -name "." ! -name ".*" ! -name "*.html" ! -name "fvwm-crystal-$(RELEASE)" \
+#		-exec cp -R -P {} "fvwm-crystal-$(RELEASE)/" \;
+	rsync -a . "../fvwm-crystal-$(RELEASE)" --exclude '.*'
+	tar czf "../fvwm-crystal-$(RELEASE).tar.gz" "../fvwm-crystal-$(RELEASE)"
+	rm -rf "../fvwm-crystal-$(RELEASE)"
 
-dist-minimal: correctpermissions
+dist-minimal:
 	# Create all important directories
 	mkdir -p "fvwm-crystal-minimal-$(RELEASE)"
 	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm"
 	# Copy basic files
-	cp -r AUTHORS COPYING INSTALL Makefile NEWS README fvwm-crystal-minimal-$(RELEASE)/
+	cp -r AUTHORS ChangeLog Contribute COPYING Export.README INSTALL Makefile NEWS README fvwm-crystal-minimal-$(RELEASE)/
 	cp -r fvwm/config fvwm-crystal-minimal-$(RELEASE)/fvwm/
 	# Copy addons/
 	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/addons"
 	cp -r addons/* fvwm-crystal-minimal-$(RELEASE)/addons/
+	# Copy shared/
+	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/shared"
+	cp -r shared/* fvwm-crystal-minimal-$(RELEASE)/shared/
+	# Copy man/
+	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/man"
+	cp -r man/* fvwm-crystal-minimal-$(RELEASE)/man/
 	# Copy bin/
 	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/bin"
 	cp -r bin/* fvwm-crystal-minimal-$(RELEASE)/bin/
@@ -86,6 +98,9 @@
 	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps"
 	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/categories"
 	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/fvwm-crystal"
+	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/48x48"
+	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/48x48/categories"
+	mkdir -p "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/48x48/fvwm-crystal"
 	# Copy 22x22 application icons
 	cp fvwm/icons/Default/22x22/apps/default.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
 	cp fvwm/icons/Default/22x22/apps/xterm.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/apps/
@@ -140,16 +155,3 @@
 	cp fvwm/icons/Default/32x32/apps/snownews.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
 	cp fvwm/icons/Default/32x32/apps/mutt.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
 	cp fvwm/icons/Default/32x32/apps/mc.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/gimp.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/mplayer.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/gajim.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/psi.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/konqueror.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/openoffice.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/fvwm-crystal.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/debian.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/ubuntu.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	cp fvwm/icons/Default/32x32/apps/grml.png fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/32x32/apps/
-	# Copy other icons
-	find fvwm/icons/Default/22x22/categories -maxdepth 1 ! -name "." ! -name ".*" ! -name "categories" \
-		-exec cp -R -P {} "fvwm-crystal-minimal-$(RELEASE)/fvwm/icons/Default/22x22/categories/" \;
