=== debian/changelog ===
fvwm-crystal (3.2.7+dfsg-1) unstable; urgency=low

  * New upstream release.
     + Drop patches applied upstream (x-terminal-emulator, bashisms,
       Russian translation)
  * Demote rox-filer to suggestions and recommend pmount.
  * Fix Russian translation file charset.
  * Add gawk and xdg-user-dirs as required dependencies.

 -- Vincent Bernat <bernat@debian.org>  Sat, 07 Sep 2013 13:40:22 +0200

fvwm-crystal (3.2.5+dfsg-1) unstable; urgency=low

  * New upstream version. Closes: #501218.
  * Refresh patches.
  * Use dh for debian/rules.
  * Bump Standards-Version to 3.9.4.
  * debian/control: fix homepage.
  * debian/control: fix Vcs-* links.
  * debian/control: remove non-existant packages from dependencies.
  * debian/watch: use SourceForge.
  * Silent lintian warning about mismatching icon sizes.
  * Use bash on scripts using bashisms.
  * Simplify doc-base stuff.

 -- Vincent Bernat <bernat@debian.org>  Sun, 28 Jul 2013 21:24:48 +0200
