## fvwm-crystal 3.3.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: xsltproc, docbook-xsl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fvwm-crystal.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/fvwm-crystal.git
 Homepage: http://fvwm-crystal.sourceforge.net/
