## fvwm-crystal 3.3.1+dfsg

=== debian/changelog ===
fvwm-crystal (3.3.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Drop the Debian-specific patch preventing a user to user
    ~/.fvwm-crystal to put their configuration files. Add an entry about
    this change in NEWS.Debian.
  * Bump Standards-Version to 3.9.5
  * More lintian override for icons not matching the exact dimension..

 -- Vincent Bernat <bernat@debian.org>  Fri, 14 Feb 2014 15:47:55 +0100
