=== debian/changelog ===
fvwm-crystal (3.4.1+dfsg-3) unstable; urgency=medium

  * d/menu: convert creatmenu.py script to Python 3 (Closes: #945673)

 -- Vincent Bernat <bernat@debian.org>  Sun, 23 Aug 2020 12:58:04 +0200

fvwm-crystal (3.4.1+dfsg-2) unstable; urgency=medium

  * d/control: B-D on python2 (Closes: #966735)
  * d/control: use debhelper-compat
  * d/NEWS: rename from d/NEWS.Debian to d/NEWS
  * d/control: update Vcs-* fields
  * d/lintian: remove unused overrides
  * d/NEWS: fix versions

 -- Vincent Bernat <bernat@debian.org>  Mon, 03 Aug 2020 08:19:33 +0200

fvwm-crystal (3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
     + Drop ACPI patch. Fixed upstream in another way.
  * d/control: update Vcs-* URL.
  * d/control: bump Standards-Version.
  * d/copyright: switch to machine-readable copyright.
  * d/watch: let uscan add dfsg suffix.

 -- Vincent Bernat <bernat@debian.org>  Sun, 20 Mar 2016 15:15:43 +0100
