=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: x11
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 7.0.50)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: xsltproc, docbook-xsl
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fvwm-crystal.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/fvwm-crystal.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://salsa.debian.org/debian/fvwm-crystal
+Vcs-Git: https://salsa.debian.org/debian/fvwm-crystal.git
 Homepage: http://fvwm-crystal.sourceforge.net/
 
 Package: fvwm-crystal
 Architecture: all
-Depends: ${misc:Depends}, python,
+Depends: ${misc:Depends}, python3,
  fvwm (>= 1:2.5.13),
  rxvt-unicode | x-terminal-emulator,
  imagemagick, trayer | stalonetray, hsetroot,
