=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# macros for manpage creation from xml via xsltproc
DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc -''-nonet
MANPAGES=$(patsubst %.dbk,%.1,$(wildcard debian/dbk/*.dbk))

debian/dbk/%.1: debian/dbk/%.dbk
	$(XP) -o $@ $(DB2MAN) $<

override_dh_clean:
	dh_clean
	rm -f $(MANPAGES)
override_dh_installman: $(MANPAGES)
	dh_installman $(MANPAGES)

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/fvwm-crystal prefix=/usr \
		addondir=/usr/share/doc/fvwm-crystal/examples \
		docdir=/usr/share/doc/fvwm-crystal \
		install install-doc
	rm -f debian/fvwm-crystal/usr/share/doc/fvwm-crystal/ChangeLog
	rm -f debian/fvwm-crystal/usr/share/doc/fvwm-crystal/LICENSE
	rm -f debian/fvwm-crystal/usr/share/doc/fvwm-crystal/INSTALL
	rm -rf debian/fvwm-crystal/usr/share/man/man1
	rm -rf debian/fvwm-crystal/etc/X11
	# Some scripts have some bashisms
	for s in usr/share/fvwm-crystal/fvwm/scripts/ScreenResolution usr/bin/fvwm-crystal.videomodeswitch+ usr/bin/fvwm-crystal.videomodeswitch- usr/share/fvwm-crystal/fvwm/scripts/DesktopActions; do sed -i 's+#!/bin/sh+#!/bin/bash+' debian/fvwm-crystal/$$s; done
